/*  ========================================================================== */
    // Accordeon
    // should be merged with accordeon built in web4
/*  ========================================================================== */


    .accordeon
    {
        max-height: 49px;
        
        overflow: hidden;
        background-color: $accordeon-background-color;
        border-bottom: $accordeon-border;

        transition: max-height ease-in .5s, background-color ease-in 1s;

        &:first-child
        {
            border-top: $accordeon-border;
        }

        .icon
        {
            font-size: $accordeon-icon-font-size;
            color: $positive;
        }

        &.open
        {
            max-height: 3000px;
            background-color: $accordeon-open-background-color;

            @include breakpoint(large)
            {
                max-height: 1000px;
            }

            .item--accordeon
            {
                border-bottom: none;
            }

            .icon
            {
                transform: rotate(180deg);
            }
        }
    }

    .accordeon__title
    {
        width: calc(100% - 30px);
        margin-bottom: 0;
        overflow: hidden;

        color: $text-color;
        font-weight: $font-weight-bold;
        font-size: 1.6rem;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .accordeon__content
    {
        padding: $single-space $r-gutter / 2;
    }

    .item--accordeon
    {
        padding: $single-space / 2 $r-gutter / 2;

        cursor: pointer;
        background-color: transparent;
        font-weight: $font-weight-bold;
        color: $item-accordeon-color;

        .icon
        {
            transition: transform ease-in .5s;
        }
    }